<< getHi | conversions | qd2str >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > conversions > qd2dd

# qd2dd

type conversion from QD to DD

### Syntax

    b = qd2dd(a)

### Parameters

a

  array of QD numbers

b

  array of DD numbers equal to truncated `a` ones

### Examples

    q = qdrand(1,2)
    d = qd2dd(q)
    typeof(d)

    --> q = qdrand(1,2)
     q  =
    [d1]
       0.4368588   0.2693125

    [d2] 10^-17 *
       2.1951823   1.6617343

    [d3] 10^-34 *
       1.8738568   5.926026

    [d4] 10^-51 *
       4.8713013   14.739443

    --> d = qd2dd(q)
     d  =
    [d1]
       0.4368588   0.2693125

    [d2] 10^-17 *
       2.1951823   1.6617343

    --> typeof(d)
     ans  =
     dd

### See Also

- d2dd — type conversion from double to DD
- d2qd — type conversion from double to QD
- dd2qd — type conversion from DD to QD

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< getHi | conversions | qd2str >>